WorkflowDocServiceAsync (gCube Workflow Documents Manager Portlet 2.1.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wfdocviewer.client
Interface WorkflowDocServiceAsync

    public interface WorkflowDocServiceAsync

The async counterpart of `WorkflowDocService`.

Method Summary
`void` | `deleteWorkflowDocument(WfDocumentBean docBean, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
`void` | `fetchActionsByWorkflowId(String workflowid, com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<ActionLogBean>> callback)`
`void` | `getAllTemplates(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<WfTemplateBean>> callback)`
`void` | `getAllWfDocuments(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<WfDocumentBean>> callback)`
`void` | `getRoleDetails(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails>> callback)`
`void` | `getVREUsers(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<UserBean>> callback)`
`void` | `getWfReport(String id, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate> callback)`
`void` | `getWfTemplate(String id, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate> callback)`
`void` | `saveWorkflow(String selectedReportid, String selectedReportName, org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph toSave, HashMap<String,List<UserBean>> rolesAndUsersToCreate, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`

Method Detail

### getAllWfDocuments

    void getAllWfDocuments(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<WfDocumentBean>> callback)

### getAllTemplates

    void getAllTemplates(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<WfTemplateBean>> callback)

### getWfTemplate

    void getWfTemplate(String id,
                       com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate> callback)

### getRoleDetails

    void getRoleDetails(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails>> callback)

### getVREUsers

    void getVREUsers(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<UserBean>> callback)

### saveWorkflow

    void saveWorkflow(String selectedReportid,
                      String selectedReportName,
                      org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph toSave,
                      HashMap<String,List<UserBean>> rolesAndUsersToCreate,
                      com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

### getWfReport

    void getWfReport(String id,
                     com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate> callback)

### fetchActionsByWorkflowId

    void fetchActionsByWorkflowId(String workflowid,
                                  com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<ActionLogBean>> callback)

### deleteWorkflowDocument

    void deleteWorkflowDocument(WfDocumentBean docBean,
                                com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.